Bug 493352

Summary: [ati] dual-head doesn't work on Aspire 5052 laptop
Product: [Fedora] Fedora Reporter: Artem <artem.goncharov>
Component: xorg-x11-drv-atiAssignee: Dave Airlie <airlied>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: 11CC: fdc, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.smolts.org/client/show/pub_1dbef411-7866-4757-8212-4f93c2498a76
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:37:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
xorg.log
none
dmesg
none
xorg.log none

Description Artem 2009-04-01 10:39:40 EDT
Description of problem:
https://fedoraproject.org/wiki/QA:Testcase_radeon_multihead

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11


How reproducible:
always

Steps to Reproduce:
1.plug in external monitor
2.reboot
3.
  
Actual results:
LVDS is black noisy box ~100x100 pixel with vertical color stripes
VGA-0 is okay

Expected results:


Additional info:
during load LVDS is off and VGA is at LVDSs dimension
Comment 1 Artem 2009-04-01 13:48:40 EDT
Forgot to mention that box on LVDS is mouse pointer

(dimension=resolution)
Comment 2 François Cami 2009-04-06 18:20:20 EDT
    Thanks for the bug report. We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue. 

    Please attach your X server log file (/var/log/Xorg.*.log) and the output of "dmesg" to the bug report as individual uncompressed text/plain file attachments using the bugzilla file attachment link below. 

    If this is a genuine rawhide install, please update the xorg-x11-drv-ati and kernel packages to see if this issue is fixed.

    We will review this issue again once you've had a chance to attach this information. 

    Thank you in advance. 

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Artem 2009-04-12 13:48:52 EDT
Created attachment 339248 [details]
xorg.log
Comment 4 Artem 2009-04-12 13:49:44 EDT
Created attachment 339249 [details]
dmesg
Comment 5 Artem 2009-04-12 14:13:49 EDT
Created attachment 339255 [details]
xorg.log

This one should be more complete
Comment 6 Matěj Cepl 2009-04-17 17:54:17 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 Artem 2009-04-18 14:06:40 EDT
Dear Matej.
1) I don't have xorg.conf file
2) I have already attached xorg.log file (https://bugzilla.redhat.com/attachment.cgi?id=339255)
3) There's pretty much similar bug https://bugzilla.redhat.com/show_bug.cgi?id=460537
Comment 8 Bug Zapper 2009-06-09 08:57:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Matěj Cepl 2009-11-05 13:24:17 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Matěj Cepl 2010-02-26 07:15:47 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 11 Bug Zapper 2010-04-27 09:24:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 07:37:49 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Artem 2014-09-15 07:08:09 EDT
clear needinfo flag